Retrieve Request Log
Beta/v1/core/request-logs/{id}This endpoint is idempotent. Learn more
Returns a request log by ID.
idstringRequest log ID.
include[]optional arrayenumValues:accountactoractor.roleSub-objects to expand in the response. When omitted, sub-objects are returned as null.
idstringRequest log ID.
objectstringenumValues:request_logResource type identifier.
methodstringHTTP method.
hoststringRequest host. Usually api.augno.com.
pathstringNon-normalized request path.
normalized_routestringNormalized route template. For example PATCH /v1/sales/customers/{id} is the normalized route for a request route PUT /v1/sales/customers/ac_....
query_paramsobjectExpandablenullableQuery parameters. Encoded as a JSON value (object, array, string, number, boolean, or null), not a JSON-encoded string.
status_codeintegerHTTP status code.
latency_usintegerRequest latency in microseconds.
api_versionstringnullableAPI version used.
client_ipstringnullableClient IP address.
user_agentstringnullableUser agent.
referrerstringnullableReferrer header.
error_codestringnullableAPI error code.
error_messagestringnullableError message.
occurred_atstring (date-time)When the request occurred.
created_atstring (date-time)When the log entry was created.
accountobjectExpandablenullableAccount targeted by the request.
idstringAccount ID.
objectstringenumValues:accountResource type identifier.
namestringDisplay name.
default_billing_addressobjectnullableDefault billing address.
null in this endpoint.default_shipping_addressobjectnullableDefault shipping address.
null in this endpoint.brandingobjectnullableBranding configuration.
null in this endpoint.portalobjectnullablePortal configuration.
null in this endpoint.created_atstring (date-time)Creation timestamp.
updated_atstring (date-time)Last updated timestamp.
actorobjectExpandablenullableActor who made the request.
idstringActor ID.
objectstringenumValues:actorResource type identifier.
typestringenumValues:userapi_keyagentActor type.
namestringnullableDisplay name.
handlestringnullableHuman-readable handle (email for users, redacted_value for API keys, slug for agents).
roleobjectExpandablenullableAssigned role.
idstringRole ID.
objectstringenumValues:roleResource type identifier.
namestringDisplay name.
typestringenumValues:adminuserscannerRole type code.
The role's type is sometimes used to gate special behaviors in the frontend
and to restrict some actions to only certain types of roles. For example,
only roles with the type admin can create and manage API keys.
ownerobjectnullableOwner of this resource.
null in this endpoint.permissionsarray of stringExpandablenullablePermissions in {domain}:{action} format.
created_atstring (date-time)Creation timestamp.
updated_atstring (date-time)Last updated timestamp.
idempotency_keystringnullableUser-provided idempotency key.
request_bodyobjectExpandablenullableRequest body. Encoded as a JSON value (object, array, string, number, boolean, or null), not a JSON-encoded string.
response_bodyobjectExpandablenullableResponse body. Encoded as a JSON value (object, array, string, number, boolean, or null), not a JSON-encoded string.
Responses
Successful response for Retrieve Request Log